Lightning Deposit
curl --request POST \
--url https://api.bullring.finance/v1/ramp/{subaccountId}/banking/deposits/lightning \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"amount": 10000,
"currency": "usd",
"note": "payment"
}
'import requests
url = "https://api.bullring.finance/v1/ramp/{subaccountId}/banking/deposits/lightning"
payload = {
"amount": 10000,
"currency": "usd",
"note": "payment"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({amount: 10000, currency: 'usd', note: 'payment'})
};
fetch('https://api.bullring.finance/v1/ramp/{subaccountId}/banking/deposits/lightning', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"lightningInvoice": "lntbs108323630n1p53uucupp5t0gdtpxe6frf8mvpuqqtdvjjkym3v6jk9lf06e0yudm0ww6gghyqdqvwpshjmt9de6qcqzpuxqzfvsp5cdgqvnrq3zy0m36tpqt9q4f5tk24fxkanjx20cdw4tc5229kq30q9qxpqysgqpzh62y0hm0829aedfdv25sy3s2vxevk8dsjrkhh4yjc04nhdyke8g0343k703j7qg8uuwfq49u2kl55hcl4qztnddhh0t6j8txlnnnqpgd9q7g",
"id": "5567cac1-d7bc-4b0d-980d-8c2453dc952c",
"paymentHash": "5bd0d584d9d24693ed81e000b6b252b137166a562fd2fd65e4e376f73b4845c8",
"paymentRequestAmount": 10000,
"paymentRequestCurrency": "usd",
"invoiceCurrency": "stablesats",
"cpf": null,
"isLiquidationInvoice": false,
"invoiceAmount": 1000000,
"rate": "1",
"status": "unpaid",
"note": "payment",
"createdAt": "2025-11-20T01:47:08.282Z",
"updatedAt": "2025-11-20T01:47:08.282Z"
}{
"error": "Unauthorized",
"message": "Invalid or missing API key"
}{
"error": "Forbidden",
"message": "You do not have permission to access this resource"
}{
"error": "Not Found",
"message": "Subaccount not found"
}Deposits
Lightning Deposit
Create a lightning invoice for a deposit. All deposit requests require approved KYC.
POST
/
v1
/
ramp
/
{subaccountId}
/
banking
/
deposits
/
lightning
Lightning Deposit
Authorizations
Path Parameters
Body
application/json
Response
Successful response
⌘I